Probably
Docs

List videos

list_videos, in Reads: Any connection or key may call these.

POST
/api/v1/tools/list_videos

Videos newest-changed first, optionally in one Space or by status (needs-you, needs-approval, in-production, delivered, stopped, not-started). Pass cursor from the last page for more.

Authorization

apiKey
headerAuthorizationBearer <token>

An API key (prb_…) from Settings → Connections.

Request Body

application/json
  1. body
spaceId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
status?array<>
Itemsitems <= 6
cursor?string
Lengthlength <= 400

Response Body

The tool's answer.

application/json
  1. response
videos*array<>
cursor*string|null
curl -X POST 'https://studio.probably.co/api/v1/tools/list_videos' \  -H "Authorization: Bearer $PROBABLY_API_KEY" \  -H 'Content-Type: application/json' \  -d '{}'
{  "videos": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "spaceId": "a330a273-e64a-4183-aedb-f3152797a9a5",      "spaceName": "string",      "status": "queued",      "group": "needs-you",      "updatedAt": "string"    }  ],  "cursor": "string"}